- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::buffer::SubgraphDepthLocater Class Reference

Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph. More...

`#include <geos/opBuffer.h>`

List of all members.

## Public Member Functions
| SubgraphDepthLocater (std::vector< BufferSubgraph * > *newSubgraphs)
int | getDepth (const geom::Coordinate &p)

## Detailed Description

Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph.

The input subgraphs are assumed to have had depths already calculated for their edges.

Last port: operation/buffer/SubgraphDepthLocater.java rev. 1.5 (JTS-1.7)

The documentation for this class was generated from the following file:

- SubgraphDepthLocater.h